Skip to Content

Archived discussions are read-only. Learn more about SAP Q&A

B2B Web Shop Development in NWDS for CRM7EhP3

Hi,

We've been using CRM5.0 for years with the B2B Web Shop set up and we've been customizing it in NWDS and all that has been fine.

We've just upgraded to CRM7EhP3 and now I want to access the new B2B code in NWDS and create a new custom shop.

With CRM5.0 our basis team followed the instructions in How_To_Create_Custom_App_ECO5200.pdf with respect to setting up the track and adding the following software components to the track

CUSTCRMPRJ.sca

SAP-SHRWEB.sca

SAP-SHRAPP.sca

SAP-CRMWEB.sca

SAP-CRMAPP.sca

SAP-SHRWEB.sca

SAP-SHRAPP.sca

SAP-CRMDIC.sca

sap.com~STRUTS.sca

sap.com~SAP-IPCMSA.sca

sap.com~SAP-CRMJAV.sca

sap.com~SAP-SHRJAV.sca

TEALEAF.sca

I then configured NWDS to grab them.

I figured the same thing would just happen with our new system but our basis guy says that those components are obsolete.

How can I move ahead with setting up NWDS to work with the web shop?

Are there new software components that we are supposed to use?

Are we supposed to use these ones anyway?

I have not found updated documentation.

Thanks for your time,

Patrick.

Former Member replied

Hi,

for a NetWeaver 7.3 environment you just need for the development track following 3 components

  • SAPSHRAPP for 7.3x
  • SAPSHRWEB for 7.3x
  • and if you do not modify the SAP code directly then you might also use CUSTCRMPRJ or your own custom SCA definition for all custom java & JSP files

as result of the dependencies you will also have to import later on following packages in the transport view

  • ENGFACADE
  • ENGINEAPI
  • FRAMEWORK
  • FRAMEWORK-EXT
  • SAP-CRMDIC
  • SAP-IPCMSA
  • SAP-SHRAPP
  • SAP-SHRJAV (hint: this one can´t be added to the development track directly to access the source)
  • SAP_BUILD
  • STRUTS 1.00

Except of struts all packages are for the desired NetWeaver Version 7.3x using the same SP

In case you use 7.0x machines, then you need following packages:

  • SAPSHRAPP for 7.0x
  • SAPSHRWEB for 7.0x
  • and if you do not modify the SAP code directly then you might also use CUSTCRMPRJ or your own custom SCA definition for all custom java & JSP files

as result of the dependencies you will also have to import later on following packages in the transport view

  • SAP_JTECHS
  • SAP_JEE
  • TEALEAF
  • SAPAPIPCJ
  • SAP-CRMWEB
  • SAP-CRMAPP
  • SAP-CRMDIC
  • SAP-CRMJAV
  • SAP-IPCMSA
  • SAP-SHRAPP
  • SAP-SHRJAV (hint: this one can´t be added to the development track directly to access the source)
  • SAP_BUILD
  • STRUTS 1.00

Except of struts all packages are for the desired NetWeaver Version 7.0x using the same SP

Few packages above might be only required if you want to perform specific activities

0 View this answer in context
Not what you were looking for? View more on this topic or Ask a question